> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Member Role



## OpenAPI

````yaml PATCH /api/v1/organizations/{orgId}/members/{userId}/role
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/organizations/{orgId}/members/{userId}/role:
    patch:
      tags:
        - Organizations
      summary: Update member role
      operationId: OrganizationController_updateMemberRole_v1
      parameters:
        - name: orgId
          required: true
          in: path
          schema:
            type: string
        - name: userId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMemberRoleDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateMemberRoleDto:
      type: object
      properties:
        role:
          type: string
          enum:
            - member
            - page_guest
      required:
        - role
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````